Bug 2241342 (CVE-2023-44466) - CVE-2023-44466 kernel: buffer overflow in ceph file net/ceph/messenger_v2.c
Summary: CVE-2023-44466 kernel: buffer overflow in ceph file net/ceph/messenger_v2.c
Keywords:
Status: NEW
Alias: CVE-2023-44466
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 2241343
TreeView+ depends on / blocked
 
Reported: 2023-09-29 12:05 UTC by TEJ RATHI
Modified: 2023-12-18 06:05 UTC (History)
39 users (show)

Fixed In Version: Kernel 6.5-rc2
Doc Type: If docs needed, set a value
Doc Text:
An flaw was found in net/ceph/messenger_v2.c in the Linux Kernel. An integer signing error leads to a buffer overflow and remote code execution via HELLO or one of the AUTH frames. This issue occurs due to an untrusted length taken from a TCP packet in ceph_decode_32.
Clone Of:
Environment:
Last Closed:
Embargoed:


Attachments (Terms of Use)

Description TEJ RATHI 2023-09-29 12:05:36 UTC
An issue was discovered in net/ceph/messenger_v2.c in the Linux kernel before 6.4.5. There is an integer signedness error, leading to a buffer overflow and remote code execution via HELLO or one of the AUTH frames. This occurs because of an untrusted length taken from a TCP packet in ceph_decode_32.

https://github.com/torvalds/linux/commit/a282a2f10539dce2aa619e71e1817570d557fc97
https://github.com/google/security-research/security/advisories/GHSA-jg27-jx6w-xwph
https://www.spinics.net/lists/ceph-devel/msg57909.html
https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=a282a2f10539dce2aa619e71e1817570d557fc97

Comment 5 Mauro Matteo Cascella 2023-11-14 09:54:39 UTC
This issue was fixed upstream in kernel version 6.5. The kernel packages as shipped in following Red Hat products were previously updated to a version that contains the fix via the following errata:

Red Hat Enterprise Linux 8.4 AUS,TUS,E4S
https://access.redhat.com/errata/RHSA-2023:4962

Red Hat Enterprise Linux 8.6 Extended Update Support
https://access.redhat.com/errata/RHSA-2023:4789

Red Hat Enterprise Linux 8
https://access.redhat.com/errata/RHSA-2023:5244

Red Hat Enterprise Linux 9.0 Extended Update Support
https://access.redhat.com/errata/RHSA-2023:4801

Red Hat Enterprise Linux 9
https://access.redhat.com/errata/RHSA-2023:5069


Note You need to log in before you can comment on or make changes to this bug.